/*
 * Copyright (c) 2001-2002 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */

/****************************************************************************************
*		                     Version Control Information
*
*	$Header:   P:/d942/octopus/archives/Include/TypeDefs.h_v   1.10   06 Nov 2002 18:03:10   rayskymy  $
*
*****************************************************************************************/


/****************************************************************************************

File Name:			Typedefs.h	

File Description:	Basic Type Definitions

*****************************************************************************************/


#ifndef __TYPEDEFS_H__
#define __TYPEDEFS_H__

#ifndef __OSTYPEDEFS_H__

#ifndef MACTOPUS
#pragma warning(disable : 4001)
#pragma warning(disable : 4100)
#endif

/* typedef enum {FALSE, TRUE} BOOL; */

typedef int BOOL;

/*JT VOID already defined in Win2K wdm.h */
#ifndef VOID
typedef void VOID;
#endif

typedef	void *PVOID,**PPVOID;



#define FALSE	0
#define TRUE	1


#ifndef NULL
#define	NULL	0
#endif


#define LPVOID void* 
#define	PCHAR  char*

#define UINT32 unsigned long
#define PUINT32 UINT32*		

#define INT32   long
#define PINT32  long*

#define UINT16 unsigned short
#define PUINT16 UINT16*		

#define UINT8 unsigned char
#define BYTE unsigned char
#define PUINT8 UINT8*	

#define INT8 signed char
#define PINT8 INT8*

#define INT16 signed short
#define PINT16 INT16*

#define HANDLE PVOID	

#define STRING char*	
typedef char* LPSTR;
typedef const char* LPCSTR;



/* The following definitions should be used for each parameter in a function's parameters list. */
#undef IN
#undef OUT
#undef IO

#define IN const
#define OUT
#define IO


/* The following definitions should be used with each function's definition. */
#define GLOBAL
#define STATIC		static

#ifndef min
#define min(x,y) ((x) < (y)  ? (x) : (y))
#endif
#ifndef max
#define max(x,y) ((x) > (y)  ? (x) : (y))
#endif

#endif

#endif /* __TYPEDEFS_H__ */
